/**
  	Applet MathGraph32 Java. Software for animating dynamic mathematics figures on web pages
    Copyright (C) 2009  Yves Biton (France) http://mathgraph32.org 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


package types;

/** Cr pour implmenter une classe d'entier permettant de renvoyer une valeur
		de type int par paramtre lors de l'appel d'une fonction
 * *
 * @author Yves
 *
 */
public class Int {
  private int value;
  
  /** Creates a new instance of Int */
  public Int() {
    value = 0;
  }
  
  public Int(int valueInit) {
  	value = valueInit;
  }
  
  public final int getValue() {
    return value;
  }
  
  public final void setValue(int val) {
    value = val;
  }
  
}
